Subject: Re: bug#45799: 28.0.50; Faces shrink unreadable on GUI when foreground/background color set in TUI

From: Jean Louis <[email-masked]>
Date: Wed, 13 Jan 2021 09:01:31 +0300

* Eli Zaretskii <[email-masked]> [2021-01-12 21:04]:
> > Date: Tue, 12 Jan 2021 20:01:52 +0300
> > From: Jean Louis <[email-masked]>
> > Cc: [email-masked]
> > 
> > Now regarding the customize-themes, if I change themes by using
> > emacsclient -nw in xterm, then themes change normally in GUI, I can
> > observe it, but not that it reflects back in xterm. Maybe that is all
> > alright and good as you say.
> 
> Please be more specific: which themes you tried to enable in -nw, what
> happened, etc.  You are not giving enough details to investigate the
> issue.  In general, only a small number of themes are suitable for
> TTYs, but I'm not yet sure whether the problems you encountered are
> due to this or to something else.  Please help me understand the issue
> completely.

Here is full description of all information that I think that applies
there.

In my init.el I have this customization related to faces.

(custom-set-faces
 ;; custom-set-faces was added by Custom.
 ;; If you edit it by hand, you could mess it up, so be careful.
 ;; Your init file should contain only one such instance.
 ;; If there is more than one, they won't work right.
 '(default ((t (:inherit nil :extend nil :stipple nil :background "white" :foreground "black" :inverse-video nil :box nil :strike-through nil :overline nil :underline nil :slant normal :weight normal :height 140 :width normal :foundry "GOOG" :family "Noto Sans Mono"))))
 '(term ((t (:background "black" :foreground "white smoke" :height 1.2 :family "xos4 Terminus")))))

Side notes:

- I have found this happening since long time, it could be that I
  already filed bug on this

- normally I use GUI, not TUI, but when answering many emails one
  after the other, Emacs in XTerm (TUI) gives me more consistent
  interface as I do not need to switch my focus from XTerm to GUI.

- I do not install any outside themes, I just use the built-in Emacs
  themes, and I do not have any favorite. Often randomly I change the
  theme. 

Intention while working in XTerm is that by quickly changing the
theme to get a better contrast.

With the above settings then if I would do just:

M-x customize-themes

and choose any theme, the foreground and background color would not
change.

It does not matter if I try changing themese from TUI or GUI.

Example is adwaita and deeper-blue, if I click there, foreground and
background do not change. So to make them change, I do: M-x
customize-faces and choose `default' and then I unset foreground and
background colors and click 0 to have it remembered for a session.

As soon as I unset it, if I was in deeper-blue theme, then I get the
deeper-blue background.

Then I can also freely choose any of the themes below and foreground
and background will be changed by clicking on the theme.

I am unsure of it, but I think I remember times when I did not need to
unset foreground and background and theme switching would work
straight without unsetting.

My expectation is that I would not need to unset foreground/background
for default face and that theme should change it directly, but it does
not. 

[ ][ adwaita] -- Face colors similar to the default theme of Gnome 3 (Adwaita).
[ ][ deeper-blue] -- Face colors using a deep blue background.
[ ][ dichromacy] -- Face colors suitable for red/green color-blind users.
[ ][ leuven] -- (no documentation available)
[ ][ light-blue] -- Face colors utilizing a light blue background.
[ ][ manoj-dark] -- Very high contrast faces with a black background.
[ ][ misterioso] -- Predominantly blue/cyan faces on a dark cyan background.
[ ][ modus-operandi] -- Light theme that conforms with the highest accessibility
[ ][ modus-vivendi] -- Dark theme that conforms with the highest accessibility
[ ][ tango-dark] -- Face colors using the Tango palette (dark background).
[ ][ tango] -- Face colors using the Tango palette (light background).
[ ][ tsdh-dark] -- A dark theme used and created by Tassilo Horn.
[ ][ tsdh-light] -- A light Emacs theme.
[ ][ wheatgrass] -- High-contrast green/blue/brown faces on a black background.
[ ][ whiteboard] -- Face colors similar to markers on a whiteboard.
[X][ wombat] -- Medium-contrast faces with a dark gray background.